CalibratedModel Class Reference

Calibrated model class. More...

`#include <ql/models/model.hpp>`

Inheritance diagram for CalibratedModel:
[legend]

## Public Member Functions

| CalibratedModel (Size nArguments)
void | update ()
virtual void | calibrate (const std::vector< ext::shared_ptr< CalibrationHelper > > &, OptimizationMethod &method, const EndCriteria &endCriteria, const Constraint &constraint=Constraint(), const std::vector< Real > &weights=std::vector< Real >(), const std::vector< bool > &fixParameters=std::vector< bool >())
| Calibrate to a set of market instruments (usually caps/swaptions) More...
virtual QL_DEPRECATED void | calibrate (const std::vector< ext::shared_ptr< BlackCalibrationHelper > > &, OptimizationMethod &method, const EndCriteria &endCriteria, const Constraint &constraint=Constraint(), const std::vector< Real > &weights=std::vector< Real >(), const std::vector< bool > &fixParameters=std::vector< bool >())
Real | value (const Array &params, const std::vector< ext::shared_ptr< CalibrationHelper > > &)
QL_DEPRECATED Real | value (const Array &params, const std::vector< ext::shared_ptr< BlackCalibrationHelper > > &)
const ext::shared_ptr< Constraint > & | constraint () const
EndCriteria::Type | endCriteria () const
| Returns end criteria result.
const Array & | problemValues () const
| Returns the problem values.
Disposable< Array > | params () const
| Returns array of arguments on which calibration is done.
virtual void | setParams (const Array &params)
Integer | functionEvaluation () const
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Protected Member Functions

virtual void | generateArguments ()

## Protected Attributes

std::vector< Parameter > | arguments_
ext::shared_ptr< Constraint > | constraint_
EndCriteria::Type | shortRateEndCriteria_
Array | problemValues_
Integer | functionEvaluation_

## Friends

class | CalibrationFunction

## Additional Inherited Members

Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator

## Detailed Description

Calibrated model class.

## Member Function Documentation

## update()

void update | ( |  | ) |

virtual

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Implements Observer.

Reimplemented in MarkovFunctional, and Gsr.

## calibrate() [1/2]

virtual void calibrate | ( | const std::vector< ext::shared_ptr< CalibrationHelper > > & | ,
|  | OptimizationMethod & | method,
|  | const EndCriteria & | endCriteria,
|  | const Constraint & | constraint = `Constraint()`,
|  | const std::vector< Real > & | weights = `std::vector< Real >()`,
|  | const std::vector< bool > & | fixParameters = `std::vector< bool >()`
| ) |  |

virtual

Calibrate to a set of market instruments (usually caps/swaptions)

An additional constraint can be passed which must be satisfied in addition to the constraints of the model.

Reimplemented in MarkovFunctional.

## calibrate() [2/2]

virtual QL_DEPRECATED void calibrate | ( | const std::vector< ext::shared_ptr< BlackCalibrationHelper > > & | ,
|  | OptimizationMethod & | method,
|  | const EndCriteria & | endCriteria,
|  | const Constraint & | constraint = `Constraint()`,
|  | const std::vector< Real > & | weights = `std::vector< Real >()`,
|  | const std::vector< bool > & | fixParameters = `std::vector< bool >()`
| ) |  |

virtual

Deprecated:
  Use the other overload. Deprecated in version 1.18.

Reimplemented in MarkovFunctional.

## value()

QL_DEPRECATED Real value | ( | const Array & | params,
|  | const std::vector< ext::shared_ptr< BlackCalibrationHelper > > & |
| ) |  |

Deprecated:
  Use the other overload. Deprecated in version 1.18.